package com.ruoyi.project.intact.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备完整性压缩机台账对象 t_intact_ysj
 *
 * @author ruoyi
 * @date 2022-06-21
 */
public class TIntactYsj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 种类 */
    @Excel(name = "种类")
    private Long type;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 单元 */
    @Excel(name = "单元")
    private String unit;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String devname;

    /** 设备位号 */
    @Excel(name = "设备位号")
    private String devno;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String position;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private String deviceSize;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Long approveStatus;

    /** 最新申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "最新申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 设计压力 */
    @Excel(name = "设计压力")
    private String desPressure;

    /** 设计温度 */
    @Excel(name = "设计温度")
    private String desTemp;

    /** 操作压力 */
    @Excel(name = "操作压力")
    private String optPressure;

    /** 操作温度 */
    @Excel(name = "操作温度")
    private String optTemp;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;

    /** 泄空方式 */
    @Excel(name = "泄空方式")
    private String leakageMode;

    /** 数据表文件号 */
    @Excel(name = "数据表文件号")
    private String dataNo;

    /** 计算书文件号 */
    @Excel(name = "计算书文件号")
    private String bookNo;

    /** 厂家 */
    @Excel(name = "厂家")
    private String manufactor;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 档案 */
    @Excel(name = "档案")
    private String archives;

    /** 部门名称 */
    //@Excel(name = "部门名称")
    @TableField(exist = false)
    private String deptName;




    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setDevname(String devname)
    {
        this.devname = devname;
    }

    public String getDevname()
    {
        return devname;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setDeviceSize(String deviceSize)
    {
        this.deviceSize = deviceSize;
    }

    public String getDeviceSize()
    {
        return deviceSize;
    }
    public void setDesPressure(String desPressure)
    {
        this.desPressure = desPressure;
    }

    public String getDesPressure()
    {
        return desPressure;
    }
    public void setDesTemp(String desTemp)
    {
        this.desTemp = desTemp;
    }

    public String getDesTemp()
    {
        return desTemp;
    }
    public void setOptPressure(String optPressure)
    {
        this.optPressure = optPressure;
    }

    public String getOptPressure()
    {
        return optPressure;
    }
    public void setOptTemp(String optTemp)
    {
        this.optTemp = optTemp;
    }

    public String getOptTemp()
    {
        return optTemp;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setLeakageMode(String leakageMode)
    {
        this.leakageMode = leakageMode;
    }

    public String getLeakageMode()
    {
        return leakageMode;
    }
    public void setDataNo(String dataNo)
    {
        this.dataNo = dataNo;
    }

    public String getDataNo()
    {
        return dataNo;
    }
    public void setBookNo(String bookNo)
    {
        this.bookNo = bookNo;
    }

    public String getBookNo()
    {
        return bookNo;
    }
    public void setManufactor(String manufactor)
    {
        this.manufactor = manufactor;
    }

    public String getManufactor()
    {
        return manufactor;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }

    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }


    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setArchives(String archives)
    {
        this.archives = archives;
    }

    public String getArchives()
    {
        return archives;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("plantCode", getPlantCode())
            .append("unit", getUnit())
            .append("devname", getDevname())
            .append("devno", getDevno())
            .append("position", getPosition())
            .append("deviceSize", getDeviceSize())
            .append("desPressure", getDesPressure())
            .append("desTemp", getDesTemp())
            .append("optPressure", getOptPressure())
            .append("optTemp", getOptTemp())
            .append("medium", getMedium())
            .append("leakageMode", getLeakageMode())
            .append("dataNo", getDataNo())
            .append("bookNo", getBookNo())
            .append("manufactor", getManufactor())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("archives", getArchives())
            .toString();
    }
}
